1 (edited by mgauthreaux 2011-09-14 22:16:58)

Topic: SOLVED == iradadmin to iradadmin pro upgrade problems

I currently have iRedAdmin 0.1.6 working
I am upgrading to iRedAdmin-Pro-LDAP-1.6.2
I have CentOS 6.0
I am using iRedMail-0.7.3
steps I followed.


#mv iRedAdmin-Pro-LDAP-1.6.2.tar.bz2 /var/www/
#cd /var/www/
# tar xjf iRedAdmin-Pro-LDAP-1.6.2.tar.bz2
# rm -i /var/www/iredadmin
# ln -s iRedAdmin-Pro-LDAP-1.6.2 iredadmin
# cp -p iRedAdmin-0.1.6/settings.ini iRedAdmin-Pro-LDAP-1.6.2/

# chown -R iredadmin:iredadmin iRedAdmin-Pro-LDAP-1.6.2
# chmod -R 0555 iRedAdmin-Pro-LDAP-1.6.2
# chmod -R 0400 iRedAdmin-Pro-LDAP-1.6.2/settings.ini
#service httpd restart

connected with my web browser and it still just went to the open-source version and not the pro

I hope it is just something small that i am missing

thanks
Michael

2

Re: SOLVED == iradadmin to iradadmin pro upgrade problems

Sorry about this trouble.

When you executed this command, it will prompt you to type 'y' to confirm, did you confirm it?

# rm -i /var/www/iredadmin

If you didn't confirm it, please execute below commands again:

# cd /var/www/
# rm -i /var/www/iredadmin       # <-- don't forget to confirm to delete it this time.
# ln -s iRedAdmin-Pro-LDAP-1.6.2 iredadmin

That's all.

== UPDATE ==
I updated migration guide, it now mentions interactive confirm.

3

Re: SOLVED == iradadmin to iradadmin pro upgrade problems

Thanks You were absolutely correct.

I did not confirm with the Y i just hit enter.

It works like a charm now.